<div style="margin-top: 20px;">
    <div class="container">
        <div class="row">
            <div style="margin-bottom:10px;">
            </div>
            <p-tabView>
                    <br>
                    <h5>
                        <span> &nbsp; Crossing Department Purchase Requisition Approval</span>
                    </h5>
                <p-tabPanel header="New">
                    <jhi-tab-view-pp-lintas
                    [idOrder]="purchaseOrder.idPurchaseOrder"
                    [idStatusType]=11>
                    </jhi-tab-view-pp-lintas>
                </p-tabPanel>
                <p-tabPanel header="Approved">
                    <form name="searchForm" class="form-inline">
                        <div class="input-group w-100 mt-3">
                            <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch"
                                name="currentSearch" placeholder="Please Insert Purchase Requisition Number">
                            <button class="input-group-addon btn btn-info flat-style-button" (click)="search(currentSearch)" *ngIf="currentSearch">
                                <span class="fa fa-search"></span>
                            </button>
                            <button class="input-group-addon btn btn-danger flat-style-button" (click)="clear()" *ngIf="currentSearch">
                                <span class="fa fa-trash-o"></span>
                            </button>
                        </div>
                    </form>
                    <br>
                    <p-dataTable
                    [value]="purchaseOrderApps"
                    [editable]="true"
                    [rows]="itemsPerPage"
                    [paginator]="true"
                    [pageLinks]="5"
                    [rowsPerPageOptions]="[10,15,20]"
                    [totalRecords]="totalItems"
                    [responsive]="true"
                    [lazy]="true"
                    [(first)]="first"
                    row="itemsPerPage"
                    totalRecords="totalItems"
                    dataKey="idPurchaseOrder"
                    expandableRows="false"
                    rowHover="true"
                    (onLazyLoad)="loadDataLazy($event)">
                    <p-header>

                    </p-header>
                    <p-column header="{{'global.field.sequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
                        <ng-template let-rowIndex="rowIndex" pTemplate="body">
                            {{rowIndex + 1}}
                        </ng-template>
                    </p-column>
                    <p-column header="Purchase Requisition Number">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.noPurchaseOrder}}
                        </ng-template>
                    </p-column>
                    <p-column header="Date">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.dtOrder | date:'dd-MM-yyyy'}}
                        </ng-template>
                    </p-column>
                    <p-column header="Created By">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.createdBy}}
                        </ng-template>
                    </p-column>
                    <p-column header="Diusulkan">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.diusulkan}}
                        </ng-template>
                    </p-column>
                    <p-column header="Division">
                            <ng-template let-rowData="rowData" pTemplate="body">
                                {{rowData.divition}}
                            </ng-template>
                    </p-column>
                    <p-column header="Attachment" [style]="{'width': '150px', 'text-align': 'center'}">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            <!-- <button pButton type="submit"
                                    [routerLink]="['../../purchase-order/0/' + page + '/' + rowData.idPurchaseOrder + '/edit']"
                                    icon="fa-pencil"
                                    class="flat-button">
                            </button> -->
                            <!-- <button pButton type="submit"
                                    (click)="delete(rowData.idPurchaseOrder)"
                                    icon="fa-remove"
                                    class="flat-button">
                            </button> -->
                            <button pButton type="submit"
                                    (click)="openPDF(rowData.content, rowData.contentContentType)"
                                    icon="fa-print" pTooltip="Preview Attachment"
                                    class="flat-button">
                            </button>
                            <button pButton type="submit"
                                icon="fa fa-download"
                                class="flat-button" pTooltip="download Attachment"
                                (click)="download(rowData.content, rowData.contentContentType)">
                            </button>
                        </ng-template>
                    </p-column>
                    <p-column header="Action" [style]="{'width': '150px', 'text-align': 'center'}">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            <!-- <button pButton type="submit"
                                    [routerLink]="['../purchase-order/0/' + page + '/' + rowData.idPurchaseOrder + '/edit']"
                                    icon="fa-pencil"
                                    class="flat-button">
                            </button> -->
                            <!-- <button pButton type="submit"
                                    (click)="delete(rowData.idPurchaseOrder)"
                                    icon="fa-remove"
                                    class="flat-button">
                            </button> -->
                            <button pButton type="submit"
                                    icon="fa-times" pTooltip="Batal Approved PP"
                                    (click)="cancelApp(rowData.idPurchaseOrder,rowData)"
                                    class="flat-button">
                            </button>
                            <button pButton type="submit"
                                    (click)="print(rowData.idPurchaseOrder, rowData)"
                                    icon="fa-print" pTooltip="Print PP"
                                    class="flat-button">
                            </button>
                        </ng-template>
                    </p-column>
                    <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
                    </ng-template>
                    </p-dataTable>
                </p-tabPanel>
                <p-tabPanel header="Not Approved">
                    <form name="searchForm" class="form-inline">
                        <div class="input-group w-100 mt-3">
                            <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch"
                                name="currentSearch" placeholder="Please Insert Purchase Requisition Number">
                            <button class="input-group-addon btn btn-info flat-style-button" (click)="search13(currentSearch)" *ngIf="currentSearch">
                                <span class="fa fa-search"></span>
                            </button>
                            <button class="input-group-addon btn btn-danger flat-style-button" (click)="clear()" *ngIf="currentSearch">
                                <span class="fa fa-trash-o"></span>
                            </button>
                        </div>
                    </form>
                    <br>
                    <p-dataTable
                    [value]="purchaseOrders"
                    [editable]="true"
                    [rows]="itemsPerPage"
                    [paginator]="true"
                    [pageLinks]="5"
                    [rowsPerPageOptions]="[10,15,20]"
                    [totalRecords]="totalItems"
                    [responsive]="true"
                    [lazy]="true"
                    [(first)]="first"
                    row="itemsPerPage"
                    totalRecords="totalItems"
                    dataKey="idPurchaseOrder"
                    expandableRows="false"
                    rowHover="true"
                    (onLazyLoad)="loadDataLazy($event)">
                    <p-header>
                        <!-- <div class="d-flex flex-row-reverse">
                            <div class="nav-item">
                                <div>
                                    <form name="searchForm" class="form-inline">
                                        <div class="input-group w-70 mt-2" [hidden]="( idStatusType === 11 || idStatusType === 12)" >
                                            <div class="btn-filter-wrapper">
                                                <button (click)="processToNotAvailable()" [disabled]="selected?.length == 0" type="button" class="btn btn-primary btn-filter">
                                                    <span>Not Approved</span>
                                                </button>
                                            </div>
                                        </div>
                                    </form>
                                </div>
                            </div>
                            <div class="nav-item">
                                <div>
                                    <form name="searchForm" class="form-inline">
                                        <div class="input-group w-70 mt-2" [hidden]="( idStatusType === 11 || idStatusType === 12)">
                                            <div class="btn-filter-wrapper">
                                                <button (click)="createRequest()" [disabled]="selected?.length == 0" type="button" class="btn btn-primary btn-filter">
                                                    <span>Approved</span>
                                                </button>
                                                &nbsp;
                                                &nbsp;
                                            </div>
                                        </div>
                                    </form>
                                </div>
                            </div>
                        </div> -->
                    </p-header>
                    <p-column header="{{'global.field.sequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
                        <ng-template let-rowIndex="rowIndex" pTemplate="body">
                            {{rowIndex + 1}}
                        </ng-template>
                    </p-column>
                    <p-column header="Purchase Requisition Number">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.noPurchaseOrder}}
                        </ng-template>
                    </p-column>
                    <p-column header="Date">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.dtOrder | date:'dd-MM-yyyy'}}
                        </ng-template>
                    </p-column>
                    <p-column header="Created By">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.createdBy}}
                        </ng-template>
                    </p-column>
                    <p-column header="Diusulkan">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.diusulkan}}
                        </ng-template>
                    </p-column>
                    <p-column header="Division">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.divition}}
                        </ng-template>
                    </p-column>
                    <p-column header="Attachment" [style]="{'width': '150px', 'text-align': 'center'}">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            <!-- <button pButton type="submit"
                                    [routerLink]="['../../purchase-order/0/' + page + '/' + rowData.idPurchaseOrder + '/edit']"
                                    icon="fa-pencil"
                                    class="flat-button">
                            </button> -->
                            <!-- <button pButton type="submit"
                                    (click)="delete(rowData.idPurchaseOrder)"
                                    icon="fa-remove"
                                    class="flat-button">
                            </button> -->
                            <button pButton type="submit"
                                    (click)="openPDF(rowData.content, rowData.contentContentType)"
                                    icon="fa-print" pTooltip="Preview Attachment"
                                    class="flat-button">
                            </button>
                            <button pButton type="submit"
                                icon="fa fa-download"
                                class="flat-button" pTooltip="download Attachment"
                                (click)="download(rowData.content, rowData.contentContentType)">
                            </button>
                        </ng-template>
                    </p-column>
                    <p-column header="Action" [style]="{'width': '150px', 'text-align': 'center'}">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            <!-- <button pButton type="submit"
                                    [routerLink]="['../purchase-order/0/' + page + '/' + rowData.idPurchaseOrder + '/edit']"
                                    icon="fa-pencil"
                                    class="flat-button">
                            </button> -->
                            <!-- <button pButton type="submit"
                                    (click)="delete(rowData.idPurchaseOrder)"
                                    icon="fa-remove"
                                    class="flat-button">
                            </button> -->
                            <!-- <button pButton type="submit"
                                    (click)="print(rowData.idPurchaseOrder, rowData)"
                                    icon="fa-print"
                                    class="flat-button">
                            </button> -->
                            <button pButton type="submit"
                                    (click)="print(rowData.idPurchaseOrder, rowData)"
                                    icon="fa-print" pTooltip="Print PP"
                                    class="flat-button">
                            </button>
                        </ng-template>
                    </p-column>
                    <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
                    </ng-template>
                    </p-dataTable>
                </p-tabPanel>
            </p-tabView>
        </div>
    </div>
</div>
<div style="margin-top: 10px;"></div>

<p-confirmDialog header="Information" icon="fa fa-info"></p-confirmDialog>